Creates a contact and returns its ID.
Request
Body Params application/jsonRequired
{
"external_id": "CONTACT-1001",
"first_name": "Oliver",
"last_name": "Bennett",
"business_name": "Northwind HVAC Services",
"mobile_number": "+61 412 345 678",
"landline_number": "+61 7 3123 4567",
"email": "oliver.bennett@hvac.example.com",
"cc_email_list": [
"dispatch@hvac.example.com"
],
"address": "12 Cooling Way, Brisbane QLD 4000",
"notes": "Prefers contact before 9am.",
"custom_fields": [
{
"field": "1",
"value": "Morning"
}
]
}
Request Code Samples
curl --location 'https://app.fieldinsight.com/public-api//contacts/' \
--header 'Content-Type: application/json' \
--data-raw '{
"external_id": "CONTACT-1001",
"first_name": "Oliver",
"last_name": "Bennett",
"business_name": "Northwind HVAC Services",
"mobile_number": "+61 412 345 678",
"landline_number": "+61 7 3123 4567",
"email": "oliver.bennett@hvac.example.com",
"cc_email_list": [
"dispatch@hvac.example.com"
],
"address": "12 Cooling Way, Brisbane QLD 4000",
"notes": "Prefers contact before 9am.",
"custom_fields": [
{
"field": "1",
"value": "Morning"
}
]
}'
Modified at 2026-10-30 03:40:11